aboutsummaryrefslogtreecommitdiff
path: root/share
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2018-04-09 17:53:04 -0300
committerSilvio Rhatto <rhatto@riseup.net>2018-04-09 17:53:04 -0300
commit1124d412de94986ddc1e92f7f0b8f907cfc7c28c (patch)
tree0dd4f266eb235dfe976a6d98953251d6e6231658 /share
parent9a54ec5c8245db9d90aa548b70d25534f7900752 (diff)
downloadtrashman-1124d412de94986ddc1e92f7f0b8f907cfc7c28c.tar.gz
trashman-1124d412de94986ddc1e92f7f0b8f907cfc7c28c.tar.bz2
Adds hoarder/onionshare
Diffstat (limited to 'share')
-rw-r--r--share/hoarder/onionshare/info1
-rwxr-xr-xshare/hoarder/onionshare/unix/linux/debian/install32
2 files changed, 33 insertions, 0 deletions
diff --git a/share/hoarder/onionshare/info b/share/hoarder/onionshare/info
new file mode 100644
index 0000000..ac2650c
--- /dev/null
+++ b/share/hoarder/onionshare/info
@@ -0,0 +1 @@
+securely and anonymously share a file of any size https://onionshare.org
diff --git a/share/hoarder/onionshare/unix/linux/debian/install b/share/hoarder/onionshare/unix/linux/debian/install
new file mode 100755
index 0000000..b2b09e7
--- /dev/null
+++ b/share/hoarder/onionshare/unix/linux/debian/install
@@ -0,0 +1,32 @@
+#!/usr/bin/env sh
+#
+# Install onionshare
+# https://github.com/micahflee/onionshare
+
+# Parameters
+SHARE="$1"
+LIB="$2"
+
+# Include basic functions
+. $LIB/trashman/functions || exit 1
+. $LIB/trashman/debian || exit 1
+
+# Requirements
+trashman_apt_install_packages build-essential fakeroot python3-all python3-stdeb dh-python python3-flask python3-stem python3-pyqt5 python-nautilus python3-pytest tor obfs4proxy git
+
+# Go to working folder
+mkdir -p $HOME/.local/share
+cd $HOME/.local/share
+
+# Get the code
+if [ -d "onionshare" ]; then
+ cd onionshare && git pull || exit 1
+else
+ git clone https://github.com/micahflee/onionshare && cd onionshare || exit 1
+fi
+
+# Create symlink to scripts
+mkdir -p $HOME/.local/bin
+cd $HOME/.local/bin
+ln -sf $HOME/.local/share/onionshare/dev_scripts/onionshare
+ln -sf $HOME/.local/share/onionshare/dev_scripts/onionshare-gui